#!/bin/sh

BARCODENUMBER=`fw_printenv rvn_as_bc | awk -F= '{ print $2}'`
echo "BARCODENUMBER,${BARCODENUMBER}"
ITEMNUMBER=`fw_printenv rvn_as_pn | awk -F= '{ print $2}'`
echo "ITEMNUMBER,${ITEMNUMBER}"
REVISION=`fw_printenv rvn_as_rev | awk -F= '{ print $2}'`
echo "REVISION,${REVISION}"
UUTASSNUMBER=`fw_printenv rvn_as_pn | awk -F= '{ print $2}'`
echo "UUTASSNUMBER,${UUTASSNUMBER}"
UUTREVISION=`fw_printenv rvn_as_rev | awk -F= '{ print $2}'`
echo "UUTREVISION,${UUTREVISION}"
UUTSERIALNUMBER=`fw_printenv rvn_as_sn | awk -F= '{ print $2}'`
echo "UUTSERIALNUMBER,${UUTSERIALNUMBER}"
UUTHARDWARENUMBER=`fw_printenv rvn_bd_pn | awk -F= '{ print $2}'`
echo "UUTHARDWARENUMBER,${UUTHARDWARENUMBER}"
UUTHARDWAREREV=`fw_printenv rvn_bd_rev | awk -F= '{ print $2}'`
echo "UUTHARDWAREREV,${UUTHARDWAREREV}"
UUTHARDWAREBARCODENUMBER=`fw_printenv rvn_bd_bc | awk -F= '{ print $2}'`
echo "UUTHARDWAREBARCODENUMBER,${UUTHARDWAREBARCODENUMBER}"
FIELD1=`fw_printenv rvn_uuid | awk -F= '{ print $2}'`
echo "FIELD1,${FIELD1}"
FIELD2=`fw_printenv rvn_bd_sn | awk -F= '{ print $2}'`
echo "FIELD2,${FIELD2}"
FIELD3=`fw_printenv ethaddr | awk -F= '{ print $2}'`
echo "FIELD3,${FIELD3}"
FIELD4=`fw_printenv wlanaddr | awk -F= '{ print $2}'`
echo "FIELD4,${FIELD4}"
FIELD5="" #Mac Address(Serial Number) of Cell Modem(??)
echo "FIELD5,${FIELD5}"
FIELD6=`fw_printenv btaddr | awk -F= '{ print $2}'`
echo "FIELD6,${FIELD6}"
FIELD7="" #Cell modem part number(Dbus call)
echo "FIELD7,${FIELD7}"
FIELD8="" #Cell modem software version(Dbus call)
echo "FIELD8,${FIELD8}"
FIELD9=`cat /etc/raven/cell/IMEI`
echo "FIELD9,${FIELD9}"
FIELD10=`cat /etc/raven/cell/SIMID`
echo "FIELD10,${FIELD10}"
FIELD11="" #Reserved for Radio modem
echo "FIELD11,${FIELD11}"
FIELD12=`cat /etc/raven/gps/version | awk '{ print $1 }' | awk -F\" '{ print $2}'` #GPS part number(get from /dev/gps0/ run log version)
echo "FIELD12,${FIELD12}"
FIELD13=`cat /etc/raven/gps/version | awk '{ print $3 }' | awk -F\" '{ print $2}'` #GPS HW version
echo "FIELD13,${FIELD13}"
FIELD14=`cat /etc/raven/gps/version | awk '{ print $4 }' | awk -F\" '{ print $2}'` #GPS SW version
echo "FIELD14,${FIELD14}"
FIELD15=`cat /etc/raven/gps/version | awk '{ print $2 }' | awk -F\" '{ print $2}'` #GPS unlocks
echo "FIELD15,${FIELD15}"
FIELD16=`fw_printenv rvn_hwid | awk -F= '{ print $2}'`
echo "FIELD16,${FIELD16}"
FIELD17=`fw_printenv rvn_ldid | awk -F= '{ print $2}'`
echo "FIELD17,${FIELD17}"
FIELD18=`dbus-send --system --print-reply=literal --dest=com.raven.hardware.microcontroller.v1 /com/raven/hardware/microcontroller/v1/micro com.raven.hardware.microcontroller.v1.micro.getVersion | xargs` #Low power Micro SW(dbus??)
echo "FIELD18,${FIELD18}"
FIELD19=`cat /usr/local/src/bitstreams/sgc/sgc_app_version.txt` #SGC micro SW
echo "FIELD19,${FIELD19}"
FIELD20=`sus-unlock --print=0x01`
echo "FIELD20,${FIELD20}"
FIELD21="" #Steering unlock Registration Code(if any)
echo "FIELD21,${FIELD21}"
FIELD22=`sus-unlock --print=0x02`
echo "FIELD22,${FIELD22}"
FIELD23="" #Cellular unlock Registration Code(if any)
echo "FIELD23,${FIELD23}"
FIELD24="" #EMMC Size
SECTORS=`cat /sys/block/mmcblk1/size`
BLOCKSIZE=`cat /sys/block/mmcblk1/queue/logical_block_size`
FIELD24=`echo $(($SECTORS * $BLOCKSIZE))`
echo "FIELD24,${FIELD24}"
FIELD25=`cat /etc/raven/version` #Pinehurst SW Version
echo "FIELD25,${FIELD25}"
FIELD26=`cat /usr/local/src/bitstreams/sgc/sgc_boot_version.txt` #SGC bootloader version
echo "FIELD26,${FIELD26}"