#!/bin/sh
# /etc/init.d/RadarOut
#
### BEGIN INIT INFO
# Provides:          RadarOut
# Required-Start:    $local_fs
# Required-Stop:     $local_fs
# Default-Start:     5
# Default-Stop:      0 6
# Short-Description: startupcounter
# Description:       Records number of entries into each run level to $logdirectory
### END INIT INFO

SWITCHED_POWER=167
SWITCHED_POWER_INT=80
SWITCHED_POWER_FAULT_RST=171
SWITCHED_POWER_SENSE=174

get_gpi()
{
	if [ ! -d /sys/class/gpio/gpio$1 ]; then
		echo $1 > /sys/class/gpio/export
		
	fi
	echo in > /sys/class/gpio/gpio$1/direction
	echo `cat /sys/class/gpio/gpio$1/value`
}

set_gpio()
{
	echo $1 > /sys/SwitchedPower12V/gpio80/SwitchEn
}

case "$1" in
  high)
	set_gpio 1
  ;;
  low)
	set_gpio 0
  ;;
  toggle)
	while [ true ]
	do
		set_gpio 0
#		echo -n "Switched Power Int: "
#		get_gpi ${SWITCHED_POWER_INT}
#		echo -n "Switched Power Sense: "
#		get_gpi ${SWITCHED_POWER_SENSE}
		sleep 1;
		set_gpio 1
#		echo -n "Switched Power Int: "
#		get_gpi ${SWITCHED_POWER_INT}
#		echo -n "Switched Power Sense: "
#		get_gpi ${SWITCHED_POWER_SENSE}
		sleep 1;
	done
  ;;
  *)
	echo "Usage /etc/init.d/SwitchedPower12V.sh [high|low|toggle]"
	exit -1
  ;;
esac

exit 0
