#!/bin/sh
# Description:	Sets up GPIO and reads the input on the External Master Switch Input

MASTER_INPUT=2

get_gpi()
{
	if [ ! -d /sys/class/gpio/gpio$1 ]; then
		echo $1 > /sys/class/gpio/export
		echo in > /sys/class/gpio/gpio$1/direction
	fi
	
	echo `cat /sys/class/gpio/gpio$1/value`
}

set_gpio()
{
	if [ ! -d /sys/class/gpio/gpio$1 ]; then
		echo $1 > /sys/class/gpio/export
		echo out > /sys/class/gpio/gpio$1/direction
	fi
	
	echo $2 > /sys/class/gpio/gpio$1/value
}

case "$1" in
  once)
	echo -n "Master Input: "
	get_gpi ${MASTER_INPUT}
  ;;
  loop)
	while [ true ]
	do
		echo -n "Master Input: "
		get_gpi ${MASTER_INPUT}
		sleep 1;
	done
  ;;
  *)
	echo "Usage master_input.sh [once|loop]"
	exit -1
  ;;
esac

exit 0
